POST /twitter/follow
Follow a user (X allows API follows only with Enterprise access since 2026-04-20) (Zernio path; the account in the body). LIVE and public (except bookmarks); queued for approval (202) while approval applies
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
accountId*stringX account id
targetUserId*string{accountId, action, undo, target, reposted | liked | bookmarked | following}
application/json- response
accountId?stringaction?stringValue in
"repost""like""bookmark""follow"undo?booleantarget?stringreposted?booleanliked?booleanbookmarked?booleanfollowing?booleanpendingFollow?booleancurl -X POST 'https://example.com/api/v1/twitter/follow' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "targetUserId": "string"}'Example Response
{ "accountId": "string", "action": "repost", "undo": true, "target": "string", "reposted": true, "liked": true, "bookmarked": true, "following": true, "pendingFollow": true}